Bug 139543 - Xserver doesn't start on RHEL2.1 U4
Xserver doesn't start on RHEL2.1 U4
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: XFree86 (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2004-11-16 12:00 EST by Anas Mustafa
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-15 08:14:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Anas Mustafa 2004-11-16 12:00:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET 
CLR 1.1.4322)

Description of problem:
I have my Xserver not starting on RHEL2.1 U4. First, it was not 
starting. I found out that I was using a Vesa driver so I changed the 
driver from Radeon to Vesa in XFree86Config-4 file. By doing that the 
server attempts to start but immediately hangs by saying shutting 
down the server. I have turned the "dpms" "off" and "nodri" options 
in there. It has a 2.4.xx kernel. I have also ran a mouseconfig to 
see if that fixes the problem but no joy. I have looked in the 
modules that were loaded but I don't see the vesa driver loaded in 

Version-Release number of selected component (if applicable):
XFree86Config-4 file is suppose to have information about fixing it

How reproducible:

Steps to Reproduce:
1.Install RHEL2.1 U4 on Groucho (BladeCenter HS20)
2.Choose the text base install
3.In console type "startx" after giving init 3 command. It will turn 
the screen black and will not start the x server.

Actual Results:  Server doesn't start.

Expected Results:  server should start

Additional info:
Comment 1 Mike A. Harris 2005-02-07 22:41:51 EST
Using the "radeon" driver, please try starting the X server, and
then attach the X server log file and config file from the failed

Thanks in advance.
Comment 2 Mike A. Harris 2005-02-07 22:42:50 EST
Setting status to "NEEDINFO", awaiting information requested in
comment #1 above.
Comment 3 Anas Mustafa 2005-02-26 01:19:26 EST
I Changed the driver from "vga" to "radeon" in XF86Config file. That 
doesn't seem to work. I'll try new driver in the X server to see if 
that works.

-Anas Mustafa
Comment 4 Mike A. Harris 2005-04-15 08:14:00 EDT
This bug report does not contain sufficient information to be able to
diagnose the problem.  If the issue persists, contact Red Hat Global
Support Services at https://www.redhat.com/apps/support or by dialing
1-888-REDHAT1, which is our official support mechanism for Red Hat
Enterprise Linux.   Hope this helps.


Note You need to log in before you can comment on or make changes to this bug.